Subject: Re: bug#1150: 23.0.60; Ibuffer's menubar menu should be named Ibuffer, not View

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 27 Apr 2016 19:06:48 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> "Drew Adams" <[email-masked]> writes:
>
>> However, the `View' menu is still inappropriately named - it includes things
>> that have nothing to do with viewing (`Diff with file', `Toggle Auto Mode',
>> `Customize Ibuffer', `Filter', `Filter Groups'). It seems to be a catch-all - an
>> `Ibuffer' menu for things that don't fit in `Operate' or `Mark'. And menu
>> `Operate' includes some viewing menu items. 
>>
>> I don't have a better name in mind than `View'. Instead, I'd suggest perhaps
>> reorganizing the menus. The organization of the Dired menus is superior and
>> might serve as a partial model.
>
> Yes, the organisation doesn't seem ideal.  I think the "diff" should go
> to "Operate", at least.  I don't mind the filter things in the "View"
> menu -- they do alter what you're viewing...
>
> Customize/toggle don't seem to belong in any of the existing menus.

Actually, the "toggle auto mode" does kinda belong in the "View" menu,
as long as we consider that menu to be both about viewing the buffers,
and organising the ibuffer buffer itself.

So I'd suggest just moving the "diff" to "Operate" and removing the
customisation menu item.  I think that's a pretty unusual item to have
in the menu?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no